Bug 1557667 - perl - Config_heavy.pl uses redhat-hardened-cc1 without depending on redhat-rpm-config
Summary: perl - Config_heavy.pl uses redhat-hardened-cc1 without depending on redhat-r...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-17 14:36 UTC by Paul Wouters
Modified: 2018-08-21 11:44 UTC (History)
13 users (show)

Fixed In Version: perl-5.26.2-412.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-21 11:44:24 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1543394 None CLOSED redhat-rpm-config: Provide macros for extension builders 2019-08-27 12:54:21 UTC

Internal Links: 1543394

Description Paul Wouters 2018-03-17 14:36:00 UTC
Description of problem:

On a minimal system without rpm-build, when the package redhat-rpm-config is not installed, the file /usr/lib/rpm/redhat/redhat-hardened-cc1 is not present.

when calling perl, it uses /usr/lib64/perl5/Config_heavy.pl which uses /usr/lib/rpm/redhat/redhat-hardened-cc1 leading to a compile file.


Fix: add Requires: redhat-rpm-config

Comment 1 Petr Pisar 2018-03-19 11:07:19 UTC
Config refers to many external tools, like gcc, groff, libdb etc. It was decided that it does not make sense to require their providers just only because perl knows about them. It's a responsibility of the particular tools to defined the dependency if they need it. See bug #1481324.

In the long therm the Fedora hardening options will be removed from Config.

Comment 2 Petr Pisar 2018-04-19 14:59:49 UTC
I will add a dependency on redhat-rpm-config to perl-devel. The dependency can be removed after implementing bug #1543394.

Comment 3 Fedora Update System 2018-05-29 06:05:00 UTC
perl-5.26.2-412.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-08197bc14f

Comment 4 Fedora Update System 2018-05-29 06:05:13 UTC
perl-5.26.2-406.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-eb868d383c

Comment 5 Fedora Update System 2018-05-29 12:02:50 UTC
perl-5.26.2-406.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-eb868d383c

Comment 6 Fedora Update System 2018-05-29 13:13:32 UTC
perl-5.26.2-412.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-08197bc14f

Comment 7 Fedora Update System 2018-06-14 18:15:50 UTC
perl-5.26.2-406.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2018-06-14 19:13:06 UTC
perl-5.26.2-412.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.